| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
IG.Num.InputOutputDataDefinitonDto Class Reference

DTO (data transfer object) for data definition that contains input and output elements. More...

Inheritance diagram for IG.Num.InputOutputDataDefinitonDto:
[legend]
Collaboration diagram for IG.Num.InputOutputDataDefinitonDto:
[legend]

## Public Member Functions
| InputOutputDataDefinitonDto ()
override InputOutputDataDefiniton | CreateObject ()
| Creates and returns an object consistent with current DTO. More...

## Public Attributes
InputElementDefinitionDto[] | Input = null
OutputElementDefinitionDto[] | Output = null
string | Name = InputOutputDataDefiniton.DefaultName
| Name of the current definition of input parameters and output values of a model. More...
string | Description = InputOutputDataDefiniton.DefaultDescription
| Description of the current definition of input parameters and output values of a model. More...
int | InputLength = 10
| Gets number of input parameters. More...
int | OutputLength = 100
| Gets number of output values. More...

## Protected Member Functions
override void | CopyFromPlain (InputOutputDataDefiniton obj)
| Copies data from an object to the current DTO. More...
override void | CopyToPlain (ref InputOutputDataDefiniton obj)
| Copies data from an object to the current DTO. More...
Protected Member Functions inherited from IG.Lib.SerializationDto< InputOutputDataDefiniton >
| SerializationDto ()

## Additional Inherited Members
Static Public Member Functions inherited from IG.Lib.SerializationDto< InputOutputDataDefiniton >
static ObjectType | CopyToObjectReturned< DtoType, ObjectType > (DtoType dto, ObjectType obj)
| Replacement for CopyToObject<DtoType> for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyToObject< DtoType, ObjectType > (DtoType dto, ref ObjectType obj)
| Copies object state form the specified DTO (data transfer object) to the specified object. More...
static DtoType | CopyFromObjectReturned< DtoType, ObjectType > (ObjectType obj, DtoType dto)
| Replacement for CopyObjectFromObject<DtoType> for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyFromObject< DtoType, ObjectType > (ObjectType obj, ref DtoType dto)
| Copies object state form the specified object to the corresponding DTO (data transfer object). More...
static ObjectType[] | CopyArrayToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, ObjectType[] tabObj)
| Replacement for CopyArrayToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayToObject< DtoType, ObjectType > (DtoType[] tabDto, ref ObjectType[] tabObj)
| Copies array of DTOs (Data Transfer Objects) to an array of appropriate objects. More...
static DtoType[] | CopyArrayFromObjectReturned< DtoType, ObjectType > (ObjectType[] tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayFromObject< DtoType, ObjectType > (ObjectType[] tabObj, ref DtoType[] tabDto)
| Copies array of objects to an array of DTOs. More...
static List< ObjectType > | CopyListToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, List< ObjectType > listObj)
| Replacement for CopyListToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListToObject< DtoType, ObjectType > (DtoType[] tabDto, ref List< ObjectType > listObj)
| Copies array of DTOs (Data Transfer Objects) to a list of appropriate objects. More...
static DtoType[] | CopyListFromObjectReturned< DtoType, ObjectType > (List< ObjectType > tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListFromObject< DtoType, ObjectType > (List< ObjectType > tabObj, ref DtoType[] tabDto)
| Copies array of objects to a list of DTOs. More...

## Detailed Description

DTO (data transfer object) for data definition that contains input and output elements.

$A Ifor Mar11;

## Constructor & Destructor Documentation

IG.Num.InputOutputDataDefinitonDto.InputOutputDataDefinitonDto | ( |  | ) |
| inline

## Member Function Documentation

override InputOutputDataDefiniton IG.Num.InputOutputDataDefinitonDto.CreateObject | ( |  | ) |
| inline

Creates and returns an object consistent with current DTO.

override void IG.Num.InputOutputDataDefinitonDto.CopyFromPlain | ( | InputOutputDataDefiniton | obj | ) |
| inline protected

Copies data from an object to the current DTO.

Parameters

  obj | Object which data is copied from.

References IG.Num.InputOutputDataDefiniton.Description, IG.Num.InputOutputDataDefiniton.InputElementList, IG.Num.InputOutputDataDefiniton.InputLength, IG.Num.InputOutputDataDefiniton.Name, IG.Num.InputOutputDataDefiniton.OutputElementList, and IG.Num.InputOutputDataDefiniton.OutputLength.

override void IG.Num.InputOutputDataDefinitonDto.CopyToPlain | ( | ref InputOutputDataDefiniton | obj | ) |
| inline protected

Copies data from an object to the current DTO.

Parameters

  obj | Object which data is copied from.

## Member Data Documentation

InputElementDefinitionDto [] IG.Num.InputOutputDataDefinitonDto.Input = null

OutputElementDefinitionDto [] IG.Num.InputOutputDataDefinitonDto.Output = null

string IG.Num.InputOutputDataDefinitonDto.Name = InputOutputDataDefiniton.DefaultName

Name of the current definition of input parameters and output values of a model.

Default value is specified by the static property InputOutputDataDefiniton.DefaultName.

string IG.Num.InputOutputDataDefinitonDto.Description = InputOutputDataDefiniton.DefaultDescription

Description of the current definition of input parameters and output values of a model.

Default value is specified by the static property InputOutputDataDefiniton.DefaultDescription.

int IG.Num.InputOutputDataDefinitonDto.InputLength = 10

Gets number of input parameters.

int IG.Num.InputOutputDataDefinitonDto.OutputLength = 100

Gets number of output values.

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/sampleddata/SampledDataDto.cs